﻿using Newtonsoft.Json;

namespace UtilLib
{
    public class CorrectItem
    {
        /// <summary>
        /// 校对类别(r 替换 d 删除 i 插入新增)
        /// </summary>
        public string Tag { get; set; }
        /// <summary>
        /// 校对原始文本
        /// </summary>
        public string Origin { get; set; }
        /// <summary>
        /// 校对文本
        /// </summary>
        public string Text { get; set; }
        /// <summary>
        /// 校对项在句子中的开始位置
        /// </summary>
        public int Start { get; set; }
        /// <summary>
        /// 校对项在句子中的结束位置
        /// </summary>
        public int End { get; set; }
        /// <summary>
        /// 校对项ID
        /// </summary>
        public int Id { get; set; }
        /// <summary>
        /// 标识类型index（字符型数字）
        /// </summary>
        public string Index { get; set; }
        /// <summary>
        /// 标识类型(校对所属分类)
        /// </summary>
        public string Type { get; set; }
        /// <summary>
        /// 校对状态
        /// </summary>
        [JsonProperty("isAccept")]
        public int IsAccept { get; set; }
        /// <summary>
        /// 校对项颜色
        /// </summary>
        public string Color { get; set; }
        /// <summary>
        /// 标识类型(校对所属分类)
        /// </summary>
        public string Addition { get; set; }
    }
}
